<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Gallery_profile extends CI_Model{
	var $gallery_path;
	var $gallery_path_url;

	function Gallery_profile(){
		$this->gallery_path = realpath(FCPATH . "img/profile");
		$this->gallery_path_url = base_url() . 'img/profile';
	}

	function do_upload($fldid){
			$config = array(
				'allowed_types' => 'jpg|png|gif',
				'upload_path' => $this->gallery_path,
				'file_name' => $fldid . '.jpg',
				'overwrite' => TRUE
			);
			if (is_uploaded_file($_FILES['userfile']['tmp_name'])) {
				$this->load->library('upload', $config);
				$this->upload->do_upload();
				$image_data = $this->upload->data();
				$data = array(
					'imageFile' => $image_data['file_name']
				);
				$this->db->where('fldid', $fldid );
				$this->db->update('tbl_usermaster', $data);

				$config = array(
					'source_image' => $image_data['full_path'],
					'new_image' => $this->gallery_path . '/profile',
					'file_name' => $fldid . '.jpg',
					'maintain_ratio' => true,
					'width' => 150,
					'height' => 150
				);

				$this->load->library('image_lib', $config);
				$this->image_lib->resize();

				return $image_data['file_name'];
			}else{
				return $this->input->post('profile_picture');
			}
			// return $image_data['file_name'];
	}

}
